# [3.7.4](https://github.com/WeakAuras/WeakAuras2/tree/3.7.4) (2022-01-09)

[Full Changelog](https://github.com/WeakAuras/WeakAuras2/compare/3.7.3...3.7.4)

## Highlights

 - Added Raid Mark filter to Unit Characteristics trigger.
- Added a UNIT_SPELLCAST_SUCCEEDED event trigger.
- Added "In Party" check, similar to "In Group" to Combat Log Event.
- Added a "buff/debuff" mode to buff triggers.
- A lot of refactoring and optimizations.
- More work towards getting nested groups done.
- A ton of bug fixes. 

## Commits

Adam W (1):

- Let timestamp differ slightly for extra attacks (#3396)

InfusOnWoW (30):

- Improve Convert to remove incompatible sub elements
- Ensure that each region has .values
- Ensure that each region has anchor points
- Ensure that regions always have a AnchorSubRegion
- Show a warning if trying to anchor to a anchor restricted region
- Workaround the editbox scrolling on resizing the editbox
- Fix Modernize of barmodels
- Allow exporting of nested groups
- Replace CallbackHandler with a simple callback handler
- Remove unused WeakAuras.ImportString compability function
- Remove GetData hack in Import code
- Slightly improve import code by commenting it
- Remove old code for editing urls via import tooltip
- Fix updating of PVP Talents
- Fix sharing of auras with ] in the name
- Don't show color formating options for Chat message formating
- Fix Cooldown Resume if switching from static to dynamic progress
- Fix Toggle List Default layout
- Fix Crowd Control trigger
- Add a UNIT_SPELLCAST_SUCCEEDED event trigger
- Fix PickDisplayMultiple not clearing a selection on selecting a group
- Fix ungroup button
- Remove unused local variable
- BT2: Fix pet handling for group triggers
- BT2: Add a "buff/debuff" mode
- Remove outdated TODO
- BT2: Change how various filter options interact with the pets options
- Bufftrigger2: Fix pet inclusion
- Combat Log Event: Add "In Party" check, similar to "In Group"
- Fix Charged Combo Points

Stanzilla (8):

- Rename stopmotion.lua to StopMotion.lua
- Update WeakAurasModelPaths from wow.tools
- Update WeakAurasModelPaths from wow.tools
- Update WeakAurasModelPaths from wow.tools
- Update WeakAurasModelPaths from wow.tools
- Update WeakAurasModelPaths from wow.tools
- Update WeakAurasModelPaths from wow.tools
- Update WeakAurasModelPaths from wow.tools

asaka-wa (1):

- reflect Blizz changes to TTS volume and rate (#3397)

emptyrivers (2):

- check that option key exists before writing
- yeet duplicate keys in custom options (#3369)

mrbuds (8):

- update SOM toc version
- Subbackground should support everything but groups
- add raid marker filter to Health, Power, Alternate Power, and Cast triggers
- Unit Characteristics: add raid marker filter
- subregions tweaks (#3394)
- Reputation trigger: add "Use Watched Faction" option  fixes #3391
- DBM Stage Trigger: new "stage total" option this option is supported since https://github.com/DeadlyBossMods/DBM-Unified/commit/407e3ba5156409b5fe6becce35d0662014bb2d1a
- temporary fix for 2.5.3 UnitCastingInfo & UnitChannelInfo changes use them also for classic_era

nullKomplex (1):

- Fix Bonus ID partial matches.

